Bug 142529 - xcopy problem with OS/2 and Samba
xcopy problem with OS/2 and Samba
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 08:23 EST by Stefan Kutzke
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Kutzke 2004-12-10 08:23:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.8

Description of problem:
I have an OS/2 WARP Server 4 Advanced (= WARP 3 with LAN Server 5) and
there is a problem while copying files from a Samba share to a local
drive on the OS/2 machine via xcopy.

I'm able to copy files from a local OS/2 drive to a Samba share via
xcopy without any problems. While copying the files back from the
Samba share to a local OS/2 drive I get the OS/2 error message
"SYS0002: Die angegebene Datei konnte nicht gefunden werden." after a
while:
xcopy n:\*.* d:\*.* /s /e
n: is mapped to a Samba share
d: is a local OS/2 drive

Copying some files with copy (not xcopy) seems to be okay.

The same problem occurs on a machine running OS/2 WARP Server for
e-business (= WARP 4.52). There are no EA's which are known to make
problems. The local drive on the OS/2 machines may be HPFS-, FAT- or
JFS-formatted, it doesn't matter.

Trying to xcopy a folder, which containes only subfolders, produces
the SYS0002 message immediatly.

Setting the Samba log level to 10 and using the vfs audit module for
the Samba share doesn't tell that's anything is wrong, no error
message appears in the log files.

Both OS/2 machines have the latest fixpacks installed. The problem
occours on different hardware and in VMware in the same way.

Something else is a little bit "mystic". I can copy, rename and delete
files or folder on the Samba share, but if I try to save a new file
with the OS/2 editor "e", I get the OS/2 message "Fehler beim
Schreiben in die Datei". After pressing the only button "Abbruch" and
saving the file again, the file is written to the share without any
errors. This may be a problem of EA stuff - that's not really a
problem for me.

Version-Release number of selected component (if applicable):
samba-3.0.7-1.3E.1.i386

How reproducible:
Always

Steps to Reproduce:
1. Setting up Samba on RHEL3ES (with Update 3 and the latest Samba
version)
2. Installing OS/2 (versions see above) an setting up NetBIOS over TCP/IP.
3. Connecting to Samba and copying files with xcopy from a local drive
to a Samba share and vice versa.
    

Actual Results:  SYS0002 message appears in OS/2.

Expected Results:  All files and folders should beeing copied.

Additional info:
Comment 1 Stefan Kutzke 2004-12-20 03:04:26 EST
Aah, there are differences in SMB protocol between OS/2 and Samba. The
OS/2 version of SMB protocol wasn't updated last years. Samba speakes
a newer version of SMB protocol that is more M$ compatible.
I have found a way to solve the xcopy problem (xcopy stops copying if
only subdirectories in a dirctory with "SYS0002: File not found").

There's a nice software named "NetDrive for OS/2":
www.blueprintsoftwareworks.com/netdrive/

In conjunction with the Samba plugin from
samba.netlabs.org
it is possible to use OS/2 and Samba without having any problems.
And "NetDrive" is free for use with the Samba plugin! :-)

I don't need the requester service on the OS/2 machine anymore.

I think I'm not the only one who uses OS/2 with Samba, so the
information above may be useful.
Comment 2 RHEL Product and Program Management 2007-10-19 15:11:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.